package com.ruoyi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.domain.TaskUserRelation;
import com.ruoyi.service.ReviewTaskUserRelationService;
import com.ruoyi.mapper.ReviewTaskUserRelationMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author wangfei
* @description 针对表【t_review_task_user_relation(体系审查任务&用户映射关系)】的数据库操作Service实现
* @createDate 2023-12-15 10:41:16
*/
@Service
public class ReviewTaskUserRelationServiceImpl extends ServiceImpl<ReviewTaskUserRelationMapper, TaskUserRelation>
    implements ReviewTaskUserRelationService {

    @Autowired
    ReviewTaskUserRelationMapper reviewTaskUserRelationMapper;

    /**
     * 根据任务id查询小组成员
     * @param taskId
     * @return
     */
    @Override
    public List<TaskUserRelation> selectQTeamMembers(Long taskId){
        return reviewTaskUserRelationMapper.selectQTeamMembers(taskId);
    }

}




